MS10-080: Vulnerabilities in Microsoft Excel Could Allow Remote Code Execution (2293211)

High Nessus Plugin ID 49957

Synopsis

Arbitrary code can be executed on the remote host through Microsoft Office Excel.

Description

The remote Windows host is running a version of Microsoft Excel or Excel Viewer that is affected by several vulnerabilities.

If an attacker can trick a user on the affected host into opening a specially crafted Excel file, they could leverage this issue to execute arbitrary code subject to the user's privileges.

Solution

Microsoft has released a set of patches for Office XP, 2003, 2007, and Excel Viewer.

See Also

https://docs.microsoft.com/en-us/security-updates/SecurityBulletins/2010/ms10-080

Plugin Details

Severity: High

ID: 49957

File Name: smb_nt_ms10-080.nasl

Version: 1.28

Type: local

Agent: windows

Published: 2010/10/13

Updated: 2018/11/15

Dependencies: 11336, 57033, 13855, 27524

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:microsoft:office, cpe:/a:microsoft:excel, cpe:/a:microsoft:excel_viewer, cpe:/a:microsoft:office_compatibility_pack

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/10/12

Vulnerability Publication Date: 2010/10/12

Reference Information

CVE: CVE-2010-3230, CVE-2010-3231, CVE-2010-3232, CVE-2010-3233, CVE-2010-3234, CVE-2010-3235, CVE-2010-3236, CVE-2010-3237, CVE-2010-3238, CVE-2010-3239, CVE-2010-3240, CVE-2010-3241, CVE-2010-3242

BID: 43643, 43644, 43646, 43647, 43649, 43650, 43651, 43652, 43653, 43654, 43655, 43656, 43657

MSFT: MS10-080

MSKB: 2344875, 2344893, 2345017, 2345035, 2345088